Skip to content
Guides
OrdersOrder Drafts
draft:update

Create order draft share link

POST/v1/order-drafts/{draftId}/share

Create order draft share link. A successful request returns HTTP 200 with the documented response body.

Authorization

bearerAuth
AuthorizationBearer <token>

OAuth2 access token issued by Ecomiq Auth.

In: header

Path Parameters

draftId*string

Identifier of the order draft.

Header Parameters

x-Store-Id?string

Store the request acts on. Not needed when the token is bound to a store.

Authorization*string

OAuth 2.0 bearer token.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/v1/order-drafts/7204558912004325301/share" \  -H "x-Store-Id: <store-id>" \  -H "Authorization: Bearer <token>" \  -H "Content-Type: application/json" \  -d '{    "shareExpiresAt": "2026-08-01T15:30:00Z",    "allowAnonymousShareAccess": true  }'
{  "shareToken": "replace_with_the_issued_token",  "shareExpiresAt": "2026-08-01T15:30:00Z",  "allowAnonymousShareAccess": false,  "sharePath": "example"}